mcrypt_get_iv_size
mcrypt_list_algorithms
Mcrypt Functions
PHP Manual

# mcrypt_get_key_size

(PHP 4, PHP 5)

mcrypt_get_key_size — Gets the key size of the specified cipher

### Description

int mcrypt_get_key_size ( int `$cipher` )
int mcrypt_get_key_size ( string `$cipher` , string `$mode` )

The first prototype is when linked against libmcrypt 2.2.x, the second when linked against libmcrypt 2.4.x or 2.5.x.

mcrypt_get_key_size() is used to get the size of a key of the specified `cipher` (in combination with an encryption mode).

It is more useful to use the mcrypt_enc_get_key_size() function as this uses the resource returned by mcrypt_module_open().

### Parameters

`cipher`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

`mode`

  One of the `MCRYPT_MODE_modename` constants, or one of the following strings: "ecb", "cbc", "cfb", "ofb", "nofb" or "stream".

### Return Values

Returns the maximum supported key size of the algorithm in bytes or `FALSE` on failure.

### Examples

Example #1 mcrypt_get_key_size() Example

`<?php
echo mcrypt_get_key_size('tripledes', 'ecb');
?>`

The example above shows how to use this function when linked against libmcrypt 2.4.x or 2.5.x.

The above example will output:

    24

### See Also

- mcrypt_get_block_size() - Gets the block size of the specified cipher
- mcrypt_enc_get_key_size() - Returns the maximum supported keysize of the opened mode
- mcrypt_encrypt() - Encrypts plaintext with given parameters

mcrypt_get_iv_size
mcrypt_list_algorithms
Mcrypt Functions
PHP Manual